@import "variables";

// Grid containers
//
// Define the maximum width of `.container` for different screen sizes.

// Grid columns
//
// Set the number of columns and specify the width of the gutters.

/*$grid-columns: $bootstrap-columns;
$grid-gutter-width: $bootstrap-gutter;
$grid-row-columns: $bootstrap-row-columns;*/

/*$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 1024px,
  xl: 1440px
);*/ // ????
$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 1024px,
  xl: 1440px
);
$bootstrap-container-side-spacings: (
  xs: 30px,
  sm: 30px,
  md: 60px,
  lg: 60px,
  xl: 80px
);
$bootstrap-gutters: (
  xs: 16px,
  sm: 16px,
  md: 16px,
  lg: 24px,
  xl: 24px
);

$container-max-widths: (
  xs: 576px,
  sm: 576px,
  md: 768px,
  lg: 1024px,
  xl: 1440px
);

@import "~bootstrap/scss/bootstrap-grid";




// Custom overwrite to defaults Bootstrap rules
@each $grid-breakpoint, $container-side-spacing in $bootstrap-container-side-spacings {
  @include media-breakpoint-up($grid-breakpoint) {
    .container {
      width: calc(100% - #{$container-side-spacing});
    }
  }
}

@each $grid-breakpoint, $container-max-width in $container-max-widths {
  @include media-breakpoint-up($grid-breakpoint) {
    .container-fluid {
      max-width: $container-max-width;
    }
  }
}

@each $grid-breakpoint, $grid-gutter-width in $bootstrap-gutters {
  @include media-breakpoint-up($grid-breakpoint) {
    $grid-gutter-half-width: $grid-gutter-width / 2;
    .row:not(.no-gutters) {
      margin-right: -$grid-gutter-half-width;
      margin-left: -$grid-gutter-half-width;
    }
    .container,
    .row:not(.no-gutters) > .col,
    .row:not(.no-gutters) > [class*="col-"] {
      padding-right: $grid-gutter-half-width;
      padding-left: $grid-gutter-half-width;
    }
  }
}



/*.container, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
  @media (min-width: $bootstrap-xs) {
    width: calc(100% - 60px);
  }
  @media (min-width: $bootstrap-sm) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-md) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-lg) {
    width: calc(100% - 160px);
    max-width: $bootstrap-lg;
  }
}*/

/* dobbiamo sovrascrivere i gutter a lg e xl 24 (12+12) */
/*.row:not(.no-gutters) {
  @media (min-width: $bootstrap-md) {
    margin-right: -12px;
    margin-left: -12px;
  }
}*/

/*.container,
.container-fluid,
.row:not(.no-gutters) > .col,
.row:not(.no-gutters) > [class*="col-"] {
  @media (min-width: $bootstrap-md) {
    padding-right: 12px;
    padding-left: 12px;
  }
}*/
